Package twisted :: Package spread :: Package ui :: Module tktree :: Class Node

[show private | hide private]
[frames | no frames]

## Class Node

Known Subclasses:
  `FileNode`

Method Summary
| ``__init__`(self)` Do whatever you want here.
| ``getName`(self)` Return the name of this node in the tree.
| ``getSubNodes`(self)` Return the sub nodes of this node.
| ``gotDoubleClick`(self)` Called when we are double clicked.
| ``isExpandable`(self)` Return true if this node is expandable.
| ``updateMe`(self)` Call me when something about me changes, so that my representation changes.

Method Details

### __init__(self)
(Constructor)

Do whatever you want here.

### getName(self)

Return the name of this node in the tree.

### getSubNodes(self)

Return the sub nodes of this node.

### gotDoubleClick(self)

Called when we are double clicked.

### isExpandable(self)

Return true if this node is expandable.

### updateMe(self)

Call me when something about me changes, so that my representation changes.

Generated by Epydoc 1.1 on Sat Feb 15 21:18:13 2003 | http://epydoc.sf.net